| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ListItem Class Reference
Inheritance diagram for Digikam::ListItem:

## Public Member Functions
| ListItem (QList< QVariant > &data, ListItem *const parent=nullptr)
QList< ListItem * > | allChildren () const
void | appendChild (ListItem *const child)
void | appendList (const QList< ListItem * > &items)
ListItem * | child (int row) const
int | childCount () const
int | columnCount () const
ListItem * | containsItem (ListItem *const item) const
| search child items if contains a ListItem with the same data as item.
QVariant | data (int column) const
void | deleteChild (int row)
void | deleteChild (ListItem *const item)
bool | equal (ListItem *const item) const
QList< int > | getTagIds () const
ListItem * | parent () const
void | removeAll ()
void | removeTagId (int tagId)
int | row () const
void | setData (const QList< QVariant > &data)

## Member Function Documentation

## ◆ containsItem()

ListItem * Digikam::ListItem::containsItem | ( | ListItem *const | item | ) | const

Parameters

  item | ListItem pointer for which we should search if there is a similar item.

Returns
  nullptr if no similar item was found and a valid ListItem if a ListItem with the same data was found.